<?php
$errorMessages = true;	// for testing and debugging only  -  set to false for production versions
#
#---------------------------------------------------------------------------
# set error reporting  
#---------------------------------------------------------------------------
if (isset($_REQUEST['debug'])){		// display error messages 
	$noMissingLang = $errorMessages = true;
} 
if ($errorMessages) {
	ini_set('display_errors', 'On'); 
	error_reporting(E_ALL);
}
#---------------------------------------------------------------------------
#
# Customize here:
#
if (!isset($SITE['hourOnlyFormat']) ) {$SITE['hourOnlyFormat'] = 'H';}
#
$itemWidth				= '100%';		// set do desired width 999px  or 100%  for all output on page
#
$updateTimes			= false;			// two lines with recent file / new update information
#
$iconGraph				= false;			// icon type header  with 2 icons for each day (12 hours data)
#
$topCount				= 8;			// max nr of day-part forecasts in icons or graph
$topWidth				= '100%';		// set do disired width 999px  or 100%
#
$chartsGraph			= true;			// high charts graph one colom for every 3 hours
$graphsSeparate			= true;			// high charts graph separate (true) or in a tab (false)
#
$metnoTable				= false;		// tables
#
$windIcons				= $SITE['windIcons'];
$windIconsSmall			= $SITE['windIconsSmall'];
#
#---------------------------------------------------------------------------
# just to know which script version is executing
#---------------------------------------------------------------------------
#
$pageName		= 'metnoMeteogramOnly.php';
$pageVersion	= '2.20 2013-05-23';
$SITE['wsModules'][$pageName] = 'version: ' . $pageVersion;
$pageFile = basename(__FILE__);			// check to see this is the real script
if ($pageFile <> $pageName) {
	$SITE['wsModules'][$pageFile]	= 'this file loaded instead of '.$pageName;
}
$pathString	.= '<!-- module '.$pageFile.' ==== '.$SITE['wsModules'][$pageFile]." -->".PHP_EOL;
$myPage = $pageFile;
#
# We get the data from a weather class  
#
$script	= 'metnoCreateArr.php';
echo '<!-- trying to load '.$script.' -->'.PHP_EOL;
include($script);
$weather 		= new metnoWeather ();
$returnArray 	= $weather->getWeatherData($SITE['latitude'],$SITE['longitude']);
#
#---------------------------------------------------------------------------
# Now create all tables and graphs to be printed here
#
$script	= 'metnoGenerateHtml.php';
echo '<!-- trying to load '.$script.' -->'.PHP_EOL;
include ($script);
# Now ready for printing to the screen. Use echo for that
#	$wsUpdateTimes	: this forecast en next forecast times 
#	$tableIcons		: icon 
#	$graphPart1		: javascript / highcharts graph
#	$metnoListTable	: table with all forecast lines
#
if ($updateTimes) {
	$margin = '10px';
	echo '<div style="width: '.$topWidth.'; border: 1px inset; border-radius: 5px; margin: '.$margin.' auto;">';
	echo $wsUpdateTimes;
	echo '</div>'.PHP_EOL;
}
if (isset ($iconGraph) && $iconGraph == true) {
						// $topwidth is set in first lines of script 
	$margin = '10px';	// for top bottom margin. set to '0px' if not needed or any desired distance
	echo '<div id="iconGraph" style="width: '.$topWidth.'; border: 1px inset; border-radius: 5px; margin: '.$margin.' auto;">';
	echo $tableIcons.PHP_EOL;
	echo '</div>';
}
#
if ($graphsSeparate) {		// are the graphs separate (=true) on the page or are they in a tab
	if (isset ($chartsGraph) && $chartsGraph == true) {
							// $topwidth is set in first lines of script 
		$margin = '0x';	// for top bottom margin. set to '0px' if not needed or any desired distance
		echo '<div id="containerTemp" style="width: '.$topWidth.'; height: 340px; border: 1px inset; border-radius: 5px; margin: '.$margin.' auto;">here the graph will be drawn</div>'.PHP_EOL;
		echo $graphPart1.PHP_EOL;
	}
}
#
# now the tabs for the tables with all data
if (isset($metnoTable)  && $metnoTable == true) {
#
if ($tabHeight <> '') { $styleHeight='height:'.( (int) $tabHeight + 42).'px;';} else {$styleHeight = '';}
#
	echo '<div class="tabber"  style="width:'.$topWidth.' margin: auto;">'.PHP_EOL;
		if (!$graphsSeparate) {		// are the graphs separate on the page or are they in a tab  (=false)
			if (isset ($chartsGraph) && $chartsGraph == true) {
				echo '<div class="tabbertab" style=""><h2>'.langtransstr('Graph').'</h2>'.PHP_EOL;
					$margin = '10px 0px 0xp 0px';	// for top bottom margin. set to '0px' if not needed or any desired distance
					echo '<div id="containerTemp" style="width: 99%; height:'.$graphHeight.'px; border: 1px inset; border-radius: 5px; margin: '.$margin.' auto;">here the graph will be drawn</div>'.PHP_EOL;
					echo $graphPart1.PHP_EOL;
				echo '</div>'.PHP_EOL;	
			}
		}
		echo '<div class="tabbertab" style="'.$styleHeight.'"><h2>'.langtransstr('Forecast by 6 hour intervals').'</h2>'.PHP_EOL;
			echo $metnoListTable.PHP_EOL;
		echo '</div>'.PHP_EOL;
		echo '<div class="tabbertab" style="'.$styleHeight.'"><h2>'.langtransstr('48 hour details').'</h2>'.PHP_EOL;
			echo $metnoDetailTable.PHP_EOL;
		echo '</div>'.PHP_EOL;
	#	echo $creditString;
	echo '</div>'.PHP_EOL;
}
#echo '<div id="credit" style="width: '.$topWidth.'; ">';
echo $creditString;
#echo '</div><br />'.PHP_EOL;
##---------------------------------------------------------------------------
#  the following lines output the needed scripts / html for a stand alone page
#
#-------------------I M P O R T A N T  -------------------------------------
# now we add the needed javascripts
# if you use this script inside another script make sure you add the javascripts yourself
#---------------------------------------------------------------------------
$javaOutput = true;			// javascripts are ALWAYS printed by removing the #
#
if ($javaOutput) {
	$javaFolder = $SITE['javascriptsDir'];
	echo '<script type="text/javascript" src="'.$javaFolder.'jquery.js"></script>'.PHP_EOL;
	echo '<script type="text/javascript" src="'.$javaFolder.'tabber.js"></script>'.PHP_EOL;
	echo '<script type="text/javascript" src="'.$javaFolder.'highcharts.js"></script>'.PHP_EOL;
	echo '<script type="text/javascript">$=jQuery;jQuery(document).ready(function(){for(n in docready){docready[n]()}});</script>'.PHP_EOL;
}
?>